package com.digertech.sdk.samples.prop;

import java.util.Properties;

public class SampleX100ValidationOptions {
	public Properties getValidationOptions () {
		Properties properties = new Properties();
		
//		 #####################################
//		 #                                   #
//		 #   X9.100-180 valid field values   #
//		 #                                   #
//		 #####################################


//		 #################################
//		 # File Header Record (Type 01)  #
//		 #################################


//		 # 1. Record Type 
		properties.put("X9100-01-01.values", "01");

//		 # 2. Standard Level
		properties.put("X9100-01-02.values", "01,02,03,20");

//		 # 3. File Type Indicator
		properties.put("X9100-01-03.values", "P,T,A,B");

//		 # 4. Immediate Destination Routing Number 
		properties.put("X9100-01-04.values", "");

//		 # 5. Immediate Origin Routing Number
		properties.put("X9100-01-05.values", "");

//		 # 6. File Creation Date
		properties.put("X9100-01-06.values", "");

//		 # 7. File Creation Time
		properties.put("X9100-01-07.values", "");

//		 # 8. Resend Indicator
		properties.put("X9100-01-08.values", "Y,N");

//		 # 9. Immediate Destination Name
		properties.put("X9100-01-09.values", "");

//		 # 10. Immediate Origin Name
		properties.put("X9100-01-10.values", "");

//		 # 11. File ID Modifier
		properties.put("X9100-01-11.values", "");

//		 # 12. Country Code
		properties.put("X9100-01-12.values", "");

//		 # 13. User Field
		properties.put("X9100-01-13.values", "");

//		 # 14. Reserved
		properties.put("X9100-01-14.values", "");


//		 ########################################
//		 # Cash Letter Header Record (Type 10)  #
//		 ########################################

//		 # 1. Record Type 
		properties.put("X9100-10-01.values", "10");

//		 # 2. Collection Type Indicator
		properties.put("X9100-10-02.values", "00,01,03,05,06,07,09,10,12,20,80,81,82,83,84,85,86-89,99");

//		 # 3. Destination Routing Number
		properties.put("X9100-10-03.values", "");

//		 # 4. ECE Institution Routing Number 
		properties.put("X9100-10-04.values", "");

//		 # 5. Cash Letter Business Date
		properties.put("X9100-10-05.values", "");

//		 # 6. Cash Letter Creation Date
		properties.put("X9100-10-06.values", "");

//		 # 7. Cash Letter Creation Time
		properties.put("X9100-10-07.values", "");

//		 # 8. Cash Letter Record Type Indicator
		properties.put("X9100-10-08.values", "N,E,I,F");

//		 # 9. Cash Letter Documentation Type Indicator
		properties.put("X9100-10-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M,Z");

//		 # 10. Cash Letter ID
		properties.put("X9100-10-10.values", "");

//		 # 11. Originator Contact Name
		properties.put("X9100-10-11.values", "");

//		 # 12. Originator Contact Phone Number
		properties.put("X9100-10-12.values", "");

//		 # 13. Work Type
		properties.put("X9100-10-13.values", "01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,37-60,61,62,63,64,65,66,67-90,91,92,93,94,95-99");

//		 # 14. User Field
		properties.put("X9100-10-14.values", "");

//		 ##################################
//		 # Bundle Header Record (Type 20) #
//		 ##################################

//		 # 1. Record Type 
		properties.put("X9100-20-01.values", "20");

//		 # 2. Collection Type Indicator
		properties.put("X9100-20-02.values", "00,01,03,05,06,07,09,12,80,81,82,83,84,85,86-89");

//		 # 3. Destination Routing Number 
		properties.put("X9100-20-03.values", "");

//		 # 4. ECE Institution Routing Number
		properties.put("X9100-20-04.values", "");

//		 # 5. Bundle Business Date
		properties.put("X9100-20-05.values", "");

//		 # 6. Bundle Creation Date
		properties.put("X9100-20-06.values", "");

//		 # 7. Bundle ID
		properties.put("X9100-20-07.values", "");

//		 # 8. Bundle Sequence Number
		properties.put("X9100-20-08.values", "");

//		 # 9. Cycle Number
		properties.put("X9100-20-09.values", "");

//		 # 10. Return Location Routing Number
		properties.put("X9100-20-10.values", "");

//		 # 11. Bundle Creation Time
		properties.put("X9100-20-11.values", "");

//		 # 12. User Field
		properties.put("X9100-20-12.values", "");

//		 # 13. Reserved
		properties.put("X9100-20-13.values", "");


//		 ##################################
//		 # Check Detail Record (Type 25)  #
//		 ##################################
//		 # 1. Record Type 
		properties.put("X9100-25-01.values", "25");

//		 # 2. Auxiliary On-Us
		properties.put("X9100-25-02.values", "");

//		 # 3. External Processing Code
		properties.put("X9100-25-03.values", "");

//		 # 4. Payor Bank Routing Number
		properties.put("X9100-25-04.values", "");

//		 # 5. On-Us
		properties.put("X9100-25-05.values", "");

//		 # 6. Item Amount
		properties.put("X9100-25-06.values", "");

//		 # 7. ECE Institution Item Sequence Number
		properties.put("X9100-25-07.values", "");

//		 # 8. Documentation Type Indicator
		properties.put("X9100-25-08.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 9. Return Acceptance Indicator
		properties.put("X9100-25-09.values", "0,1,2,3,4,5,6,7,8,9,A,B,C,D,E,F");

//		 # 10. MICR Valid Indicator
		properties.put("X9100-25-10.values", "1,2,3,4");

//		 # 11. BOFD Indicator
		properties.put("X9100-25-11.values", "Y,N,U");

//		 # 12. Check Detail Record Addendum Count
		properties.put("X9100-25-12.values", "");

//		 # 13. Correction Indicator
		properties.put("X9100-25-13.values", "0,1,2,3,4");

//		 # 14. Archive Type Indicator
		properties.put("X9100-25-14.values", "A,B,C,D,E,F,G,H,I");

//		 #############################################
//		 # Check Detail Addendum A Record (Type 26)  #
//		 #############################################

//		 # 1. Record Type 
		properties.put("X9100-26-01.values", "26");

//		 # 2. Check Detail Addendum A Record Number
		properties.put("X9100-26-02.values", "");

//		 # 3. Return Location Routing Number
		properties.put("X9100-26-03.values", "");

//		 # 4. BOFD Business (Endorsement) Date 
		properties.put("X9100-26-04.values", "");

//		 # 5. BOFD Item Sequence Number
		properties.put("X9100-26-05.values", "");

//		 # 6. Deposit Account Number at BOFD
		properties.put("X9100-26-06.values", "");

//		 # 7. BOFD Deposit Branch
		properties.put("X9100-26-07.values", "");

//		 # 8. Payee Name
		properties.put("X9100-26-08.values", "");

//		 # 9. Truncation Indicator
		properties.put("X9100-26-09.values", "Y,N");


//		 # 10. BOFD Conversion Indicator
		properties.put("X9100-26-10.values", "0,1,2,3,4,5,6,7,8");

//		 # 11. BOFD Correction Indicator
		properties.put("X9100-26-11.values", "0,1,2,3,4");

//		 # 12. BOFD Magnetic Read Indicator
		properties.put("X9100-26-12.values", "0,1,2,3");

//		 # 13. User Field
		properties.put("X9100-26-13.values", "");

//		 # 14. Reserved
		properties.put("X9100-26-14.values", "");


//		 #############################################
//		 # Check Detail Addendum B Record (Type 27)  #
//		 #############################################

//		 # 1. Record Type
		properties.put("X9100-27-01.values", "27");

//		 # 2. Item Description
		properties.put("X9100-27-02.values", "");

//		 # 3. Image Capture Date
		properties.put("X9100-27-03.values", "");

//		 # 4. Image Capture Time
		properties.put("X9100-27-04.values", "");

//		 # 5. Microfilm Archive Sequence Number
		properties.put("X9100-27-05.values", "");

//		 # 6. Length of Image Archive Locator
		properties.put("X9100-27-06.values", "VAR");

//		 # 7. Length of Captured Unparsed MICR Data
		properties.put("X9100-27-07.values", "VAR");

//		 # 8. Length of Captured High Unparsed MICR Data
		properties.put("X9100-27-08.values", "VAR");

//		 # 9. Length of Corrected Unparsed MICR Data
		properties.put("X9100-27-09.values", "VAR");

//		 # 10. Length of Corrected High Unparsed MICR Data
		properties.put("X9100-27-10.values", "VAR");

//		 # 11. Length of User Data
		properties.put("X9100-27-11.values", "VAR");

//		 # 12. Reserved
		properties.put("X9100-27-12.values", "");

//		 # 13. Image Archive Locator
		properties.put("X9100-27-13.values", "");

//		 # 14. Captured Unparsed MICR Data
		properties.put("X9100-27-14.values", "");

//		 # 15. Captured High Unparsed MICR Data
		properties.put("X9100-27-15.values", "");

//		 # 16. Corrected Unparsed MICR Data
		properties.put("X9100-27-16.values", "");

//		 # 17. Corrected High Unparsed MICR Data
		properties.put("X9100-27-17.values", "");

//		 # 18. User Field
		properties.put("X9100-27-18.values", "");


//		 #############################################
//		 # Check Detail Addendum C Record (Type 28)  #
//		 #############################################

//		 # 1. Record Type 
		properties.put("X9100-28-01.values", "28");

//		 # 2. Check Detail Addendum C Record Number
		properties.put("X9100-28-02.values", "");

//		 # 3. Endorsing Bank Routing Number
		properties.put("X9100-28-03.values", "");

//		 # 4. Endorsing Bank Endorsement Date
		properties.put("X9100-28-04.values", "");

//		 # 5. Endorsing Bank Item Sequence Number
		properties.put("X9100-28-05.values", "");

//		 # 6. Truncation Indicator
		properties.put("X9100-28-06.values", "Y,N");

//		 # 7. Endorsing Bank Conversion Indicator
		properties.put("X9100-28-07.values", "0,1,2,3,4,5,6,7,8");

//		 # 8. Endorsing Bank Correction Indicator
		properties.put("X9100-28-08.values", "0,1,2,3,4");


//		 # 9. Return Reason
		properties.put("X9100-28-09.values", "");

//		 # 10. Endorsing Bank Magnetic Read Indicator
		properties.put("X9100-28-10.values", "0,1,2,3");


//		 # 11. Endorsing Bank Identifier
		properties.put("X9100-28-11.values", "0,1,2,3");


//		 # 12. Deposit Account Number at BOFD
		properties.put("X9100-28-12.values", "");

//		 # 13. User Field
		properties.put("X9100-28-13.values", "");

//		 # 14. Reserved
		properties.put("X9100-28-14.values", "");

//		 ############################
//		 # Return Record (Type 31)  #
//		 ############################

//		 # 1. Record Type
		properties.put("X9100-31-01.values", "31");

//		 # 2. Auxiliary On-Us
		properties.put("X9100-31-02.values", "");

//		 # 3. External Processing Code
		properties.put("X9100-31-03.values", "");

//		 # 4. Payor Bank Routing Number
		properties.put("X9100-31-04.values", "");

//		 # 5. On-Us
		properties.put("X9100-31-05.values", "");

//		 # 6. Item Amount
		properties.put("X9100-31-06.values", "");

//		 # 7. ECE Institution Item Sequence Number
		properties.put("X9100-31-07.values", "");

//		 # 8. Return Record Addendum Count
		properties.put("X9100-31-08.values", "");

//		 # 9. Reserved
		properties.put("X9100-31-09.values", "");


//		 #######################################
//		 # Return Addendum A Record (Type 32)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X9100-32-01.values", "32");

//		 #######################################
//		 # Return Addendum B Record (Type 33)  #
//		 #######################################

//		 # 1. Record Type
		properties.put("X9100-33-01.values", "33");

//		 # 2. Return Reason
		properties.put("X9100-33-02.values", "");

//		 # 3. Forward Bundle Date
		properties.put("X9100-33-03.values", "");

//		 # 4. Additional Return Reason
		properties.put("X9100-33-04.values", "");

//		 # 5. Number of Times Returned
		properties.put("X9100-33-05.values", "0,1,2,3");


//		 # 6. Return Documentation Type Indicator
		properties.put("X9100-33-06.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");


//		 # 7. Archive Type Indicator
		properties.put("X9100-33-07.values", "A,B,C,D,E,F,G,H,I");


//		 # 8. Payor Bank Name
		properties.put("X9100-33-08.values", "");

//		 # 9. Payor Bank Item Sequence Number
		properties.put("X9100-33-09.values", "");

//		 # 10. Payor Bank Business Date
		properties.put("X9100-33-10.values", "");

//		 # 11. Payor Account Name
		properties.put("X9100-33-11.values", "");


//		 #######################################
//		 # Return Addendum C Record (Type 34)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X9100-34-01.values", "34");


//		 #######################################
//		 # Return Addendum D Record (Type 35)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X9100-35-01.values", "35");

//		 ###########################################
//		 # Account Totals Detail Record (Type 40)  #
//		 ###########################################

//		 # 1. Record Type 
		properties.put("X9100-40-01.values", "40");

//		 # 2. Destination Routing Number
		properties.put("X9100-40-02.values", "");

//		 # 3. Key Account  or Low Account in Key Account Range
		properties.put("X9100-40-03.values", "");

//		 # 4. Key Account  or High Account in Key Account Range
		properties.put("X9100-40-04.values", "");

//		 # 5. Total Item Count
		properties.put("X9100-40-05.values", "");

//		 # 6. Total Item Amount
		properties.put("X9100-40-06.values", "");

//		 # 7. User Field
		properties.put("X9100-40-07.values", "");

//		 # 8. Key Account  or High Account in Key Account Range
		properties.put("X9100-40-08.values", "");

//		 ###########################################
//		 # Account Totals Detail Record (Type 41)  #
//		 ###########################################

//		 # 1. Record Type 
		properties.put("X9100-41-01.values", "41");

//		 # 2. Destination Routing Number
		properties.put("X9100-41-02.values", "");

//		 # 3. Non-Hit Indicator
		properties.put("X9100-41-03.values", "O,I");

//		 # 4. Total Item Count
		properties.put("X9100-41-04.values", "");

//		 # 5. Total Item Count
		properties.put("X9100-41-05.values", "");

//		 # 6. User Field
		properties.put("X9100-41-06.values", "");

//		 # 7. Reserved
		properties.put("X9100-41-07.values", "");

//		 #######################################
//		 # Image View Detail Record (Type 50)  #
//		 #######################################
//		 # 1. Record Type 
		properties.put("X9100-50-01.values", "50");

//		 # 2. Image Indicator
		properties.put("X9100-50-02.values", "0,1,2,3");

//		 # 3. Image Creator Routing Number
		properties.put("X9100-50-03.values", "");

//		 # 4. Image Creator Date
		properties.put("X9100-50-04.values", "");

//		 # 5. Image View Format Indicator
		properties.put("X9100-50-05.values", "00, 01, 20, 21, 22, 23, 24");

//		 # 6. Image View Compression Algorithm Identifier
		properties.put("X9100-50-06.values", "00, 01, 02, 21, 22, 23");

//		 # 7. Image View Type
		properties.put("X9100-50-07.values", "0,1,2,3,4");

//		 # 8. View Side Indicator
		properties.put("X9100-50-08.values", "0,1");


//		 # 9. View Descriptor
		properties.put("X9100-50-09.values", "00,01,02,03,04,05,06,07,08,09,10,11,12,13,14-99");


//		 # 10. Digital Signature Indicator
		properties.put("X9100-50-10.values", "0,1");


//		 # 11. Digital Signature Hash Function Method
		properties.put("X9100-50-11.values", "0,1,2,3,4");


//		 # 12. Digital Signature Cryptographic Algorithm Method
		properties.put("X9100-50-12.values", "0,1,2,3-99");


//		 # 13. DSA/RSA Key Size or ECC Curve Number
		properties.put("X9100-50-13.values", "");

//		 # 14. Digital Certificate Indicator
		properties.put("X9100-50-14.values", "0,1");


//		 # 15. Digital Certificate Format
		properties.put("X9100-50-15.values", "00,01,02-99");


//		 # 16. Digital Certificate Conveyance Method
		properties.put("X9100-50-16.values", "00,01,02,03-99");


//		 # 17. Start of Protected Data
		properties.put("X9100-50-17.values", "");

//		 # 18. Length of Protected Data
		properties.put("X9100-50-18.values", "");

//		 # 19. Image Recreate Indicator
		properties.put("X9100-50-19.values", "0,1");


//		 # 20. Image Test Override Indicator
		properties.put("X9100-50-20.values", "0,A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R");

//		 # 21. Image Capture Time
		properties.put("X9100-50-21.values", "");

//		 # 22. User Field
		properties.put("X9100-50-22.values", "");

//		 # 23. Reserved
		properties.put("X9100-50-23.values", "");


//		 #####################################
//		 # Image View Data Record (Type 52)  #
//		 #####################################
//		 # 1. Record Type 
		properties.put("X9100-52-01.values", "52");

//		 # 2. ECE Institution Routing Number
		properties.put("X9100-52-02.values", "");

//		 # 3. Bundle Business Date
		properties.put("X9100-52-03.values", "");

//		 # 4. Cycle Number
		properties.put("X9100-52-04.values", "");

//		 # 5. ECE Institution Item Sequence Number
		properties.put("X9100-52-05.values", "");

//		 # 6. Security Originator Name
		properties.put("X9100-52-06.values", "");

//		 # 7. Security Authenticator Name
		properties.put("X9100-52-07.values", "");

//		 # 8. Security Key Name
		properties.put("X9100-52-08.values", "");

//		 # 9. Clipping Origin
		properties.put("X9100-52-09.values", "0,1,2,3,4");

//		 # 10. Clipping Coordinate h1
		properties.put("X9100-52-10.values", "");

//		 # 11. Clipping Coordinate h2
		properties.put("X9100-52-11.values", "");

//		 # 12. Clipping Coordinate v1
		properties.put("X9100-52-12.values", "");

//		 # 13. Clipping Coordinate v2
		properties.put("X9100-52-13.values", "");

//		 # 14. Ancillary Data Indicator
		properties.put("X9100-52-14.values", "");

//		 # 15. Length of Image Reference Key
		properties.put("X9100-52-15.values", "");

//		 # 16. Length of Digital Signature
		properties.put("X9100-52-16.values", "");

//		 # 17. Length of Digital Certificate Issuer Distinguished Name
		properties.put("X9100-52-17.values", "");

//		 # 18. Length of Digital Certificate Serial Number
		properties.put("X9100-52-18.values", "");

//		 # 19. Length of Digital Certificate
		properties.put("X9100-52-19.values", "");

//		 # 20. Length of Image Data
		properties.put("X9100-52-20.values", "");

//		 # 21. Length of Ancillary Data
		properties.put("X9100-52-21.values", "");

//		 # 22. Image Reference Key
		properties.put("X9100-52-22.values", "");

//		 # 23. Digital Signature
		properties.put("X9100-52-23.values", "");

//		 # 24. Digital Certificate Issuer Distinguished Name
		properties.put("X9100-52-24.values", "");

//		 # 25. Digital Certificate Serial Number
		properties.put("X9100-52-25.values", "");

//		 # 26. Digital Certificate
		properties.put("X9100-52-26.values", "");

//		 # 27. Image Data
		properties.put("X9100-52-27.values", "");

//		 # 28. Ancillary Data
		properties.put("X9100-52-28.values", "");

//		 #########################################
//		 # Image View Analysis Record (Type 54)  #
//		 #########################################

//		 # 1. Record Type 
		properties.put("X9100-54-01.values", "54");

//		 # 2. Global Image Quality
		properties.put("X9100-54-02.values", "0,1,2");

//		 # 3. Global Image Usability
		properties.put("X9100-54-03.values", "0,1,2");

//		 # 4. Imaging Bank Specific Test
		properties.put("X9100-54-04.values", "0,1,2");

//		 # 5. Partial Image
		properties.put("X9100-54-05.values", "0,1,2");

//		 # 6. Excessive Image Skew
		properties.put("X9100-54-06.values", "0,1,2");

//		 # 7. Piggyback Image
		properties.put("X9100-54-07.values", "0,1,2");

//		 # 8. Too Light
		properties.put("X9100-54-08.values", "0,1,2");

//		 # 9. Too Dark
		properties.put("X9100-54-09.values", "0,1,2");

//		 # 10. Streaks And Or Bands
		properties.put("X9100-54-10.values", "0,1,2");

//		 # 11. Below Minimum Image Size
		properties.put("X9100-54-11.values", "0,1,2");

//		 # 12. Exceeds Maximum Image Size
		properties.put("X9100-54-12.values", "");

//		 # 13-25. Reserved
		properties.put("X9100-54-13.values", "");

//		 # 26. Image-Enabled POD
		properties.put("X9100-54-14.values", "0,1,2");

//		 # 27. Source Document Bad
		properties.put("X9100-54-15.values", "0,1,2");

//		 # 28. Date Usability
		properties.put("X9100-54-16.values", "0,1,2");

//		 # 29. Payee Usability
		properties.put("X9100-54-17.values", "0,1,2");

//		 # 30. Convenience Amount Usability
		properties.put("X9100-54-18.values", "0,1,2");

//		 # 31. Amount in Words (Legal Amount) Usability
		properties.put("X9100-54-19.values", "0,1,2");

//		 # 32. Signature Usability
		properties.put("X9100-54-20.values", "0,1,2");

//		 # 33. Payor Name And Address Usability
		properties.put("X9100-54-21.values", "");

//		 # 34. MICR Line Usability
		properties.put("X9100-54-22.values", "0,1,2");

//		 # 35. Memo Line Usability
		properties.put("X9100-54-23.values", "0,1,2");

//		 # 36. Payor Bank Name And Address Usability
		properties.put("X9100-54-24.values", "0,1,2");

//		 # 37. Payee Endorsement Usability
		properties.put("X9100-54-25.values", "0,1,2");

//		 # 38. Bank Of First Deposit Endorsement Usability
		properties.put("X9100-54-26.values", "0,1,2");

//		 # 39. Transit Endorsement Usability
		properties.put("X9100-54-27.values", "0,1,2");

//		 # 40-45. Reserved
		properties.put("X9100-54-28.values", "");

//		 # 46. User Field
		properties.put("X9100-54-29.values", "");

//		 # 47. Reserved
		properties.put("X9100-54-30.values", "");

//		 ########################################
//		 # Image Test Summary Record (Type 55)  #
//		 ########################################

//		 # 1. Record Type
		properties.put("X9100-55-01.values", "55");

//		 # 2. Number of Image Tests
		properties.put("X9100-55-02.values", "");

//		 # 3. Test Date
		properties.put("X9100-55-03.values", "");

//		 # 4. Test Time
		properties.put("X9100-55-04.values", "");

//		 # 5. Image Test Group
		properties.put("X9100-55-05.values", "");

//		 # 6. Testing Organization ID Indicator
		properties.put("X9100-55-06.values", "0,1,2,3,4");


//		 # 7. Testing Organization ID
		properties.put("X9100-55-07.values", "");

//		 # 8. Testing Organization ID Modifier
		properties.put("X9100-55-08.values", "");

//		 # 9. Global Image Test Flag
		properties.put("X9100-55-09.values", "0,1,2");


//		 # 10. Image Test Supplier ID Indicator
		properties.put("X9100-55-10.values", "0,1,2,3,4");


//		 # 11. Image Test Supplier ID
		properties.put("X9100-55-11.values", "");

//		 # 12. Image Test Supplier ID Modifier
		properties.put("X9100-55-12.values", "");

//		 # 13. User Field
		properties.put("X9100-55-13.values", "");

//		 # 14. Reserved
		properties.put("X9100-55-14.values", "");


//		 #######################################
//		 # Image Test Detail Record (Type 56)  #
//		 #######################################

//		 # 1. Record Type
		properties.put("X9100-56-01.values", "56");

//		 # 2. Image Test Number
		properties.put("X9100-56-02.values", "");

//		 # 3. Image Test Version
		properties.put("X9100-56-03.values", "");

//		 # 4. Image Test Method
		properties.put("X9100-56-04.values", "0,1,2");


//		 # 5. Image Test Flag
		properties.put("X9100-56-05.values", "0,1,2,3");


//		 # 6. Test Results Length
		properties.put("X9100-56-06.values", "");

//		 # 7. Test Parameters Length
		properties.put("X9100-56-07.values", "");

//		 # 8. User Test Data Length
		properties.put("X9100-56-08.values", "");

//		 # 9. Test Results
		properties.put("X9100-56-09.values", "");

//		 # 10. Test Parameters
		properties.put("X9100-56-10.values", "");

//		 # 11. User Test Data
		properties.put("X9100-56-11.values", "");


//		 ###########################################
//		 # Credit/Reconciliation Record (Type 61)  #
//		 ###########################################

//		 # 1. Record Type
		properties.put("X9100-61-01.values", "61");

//		 # 2. Record Usage Indicator
		properties.put("X9100-61-02.values", "1,2,3,4,5,6,7,8,9");

//		 # 3. Auxiliary On-Us
		properties.put("X9100-61-03.values", "");

//		 # 4. External Processing Code
		properties.put("X9100-61-04.values", "");

//		 # 5. Posting Bank Routing Number
		properties.put("X9100-61-05.values", "");

//		 # 6. Posting Account Number (On-Us)
		properties.put("X9100-61-06.values", "");

//		 # 7. Item Amount
		properties.put("X9100-61-07.values", "");

//		 # 8. Item Sequence Number
		properties.put("X9100-61-08.values", "");

//		 # 9. Documentation Type Indicator
		properties.put("X9100-61-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 10. Type of Account Code
		properties.put("X9100-61-10.values", "");

//		 # 11. Source of Work Code
		properties.put("X9100-61-11.values", "");

//		 # 12. Reserved
		properties.put("X9100-61-12.values", "");

//		 #########################################
//		 # Digital Certificate Record (Type 64)  #
//		 #########################################

//		 # 1. Record Type
		properties.put("X9100-64-01.values", "64");

//		 # 2. Digital Certificate Format
		properties.put("X9100-64-02.values", "00,01,02-99");


//		 # 3. Length of Digital Certificate Issuer Distinguished Name
		properties.put("X9100-64-03.values", "");

//		 # 4. Length of Digital Certificate Serial Number
		properties.put("X9100-64-04.values", "");

//		 # 5. Length of X.509 Digital Certificate
		properties.put("X9100-64-05.values", "VAR");

//		 # 6. Digital Certificate Issuer Distinguished Name
		properties.put("X9100-64-06.values", "");

//		 # 7. Digital Certificate Serial Number
		properties.put("X9100-64-07.values", "");

//		 # 8. X.509 Digital Certificate
		properties.put("X9100-64-08.values", "");

//		 #################################################
//		 # User Record (Type 68) - General Format Record #
//		 #################################################

//		 # 1. Record Type
		properties.put("X9100-68G-01.values", "68");

//		 # 2. Owner Identifier Indicator
		properties.put("X9100-68G-02.values", "0,1,2,3,4,5");

//		 # 3. Owner Identifier
		properties.put("X9100-68G-03.values", "");

//		 # 4. Owner Identifier Modifier
		properties.put("X9100-68G-04.values", "");

//		 # 5. User Record Format Type
		properties.put("X9100-68G-05.values", "");

//		 # 6. Format Type Version Level
		properties.put("X9100-68G-06.values", "");

//		 # 7. Length of User Data
		properties.put("X9100-68G-07.values", "");

//		 # 8. User Data
		properties.put("X9100-68G-08.values", "");


//		 ######################################################################
//		 # User Record (Type 68) - Format Type 001 -Payee Endorsement Record  #
//		 ######################################################################

//		 # 1. Record Type
		properties.put("X9100-68T1-01.values", "68");

//		 # 2. Owner Identifier Indicator
		properties.put("X9100-68T1-02.values", "4");

//		 # 3. Owner Identifier
		properties.put("X9100-68T1-03.values", "000000001");

//		 # 4. Owner Identifier Modifier
		properties.put("X9100-68T1-04.values", "'100-180'");

//		 # 5. User Record Format Type
		properties.put("X9100-68T1-05.values", "001");

//		 # 6. Format Type Version Level
		properties.put("X9100-68T1-06.values", "001");

//		 # 7. Length of User Data
		properties.put("X9100-68T1-07.values", "0000290");

//		 # 8. Name of Payee
		properties.put("X9100-68T1-08.values", "");

//		 # 9. Endorsement Date
		properties.put("X9100-68T1-09.values", "");

//		 # 10. Bank Routing Number
		properties.put("X9100-68T1-10.values", "");

//		 # 11. Bank Account Number
		properties.put("X9100-68T1-11.values", "");

//		 # 12. Customer Identifier
		properties.put("X9100-68T1-12.values", "");

//		 # 13. Customer Contact Information
		properties.put("X9100-68T1-13.values", "");

//		 # 14. Store/Merchant/Processing Site Number
		properties.put("X9100-68T1-14.values", "");

//		 # 15. Internal Control/Sequence Number
		properties.put("X9100-68T1-15.values", "");

//		 # 16. Time
		properties.put("X9100-68T1-16.values", "");

//		 # 17. Operator Name/Initials
		properties.put("X9100-68T1-17.values", "");

//		 # 18. Operator Number
		properties.put("X9100-68T1-18.values", "");

//		 # 19. Manager/Supervisor Name/Initials
		properties.put("X9100-68T1-19.values", "");

//		 # 20. Manager/Supervisor Number
		properties.put("X9100-68T1-14.values", "");

//		 # 21. Equipment Number
		properties.put("X9100-68T1-21.values", "");

//		 # 22. Endorsement Indicator
		properties.put("X9100-68T1-22.values", "0,1,2,3,4,5,9");


//		 # 23. User Field
		properties.put("X9100-68T1-23.values", "");


//		 #################################################################
//		 # User Record (Type 68) - Format Type 002 - Destination Record  #
//		 #################################################################

//		 # 1. Record Type
		properties.put("X9100-68T2-01.values", "68");

//		 # 2. Owner Identifier Indicator
		properties.put("X9100-68T2-02.values", "4");

//		 # 3. Owner Identifier
		properties.put("X9100-68T2-03.values", "000000001");

//		 # 4. Owner Identifier Modifier
		properties.put("X9100-68T2-04.values", "100-180");

//		 # 5. User Record Format Type
		properties.put("X9100-68T2-05.values", "002");

//		 # 6. Format Type Version Level
		properties.put("X9100-68T2-06.values", "001");

//		 # 7. Length of User Data
		properties.put("X9100-68T2-07.values", "0000110");

//		 # 8. Destination Name
		properties.put("X9100-68T2-08.values", "");

//		 # 9. Destination Address Field 1
		properties.put("X9100-68T2-09.values", "");

//		 # 10. Destination Address Field 2
		properties.put("X9100-68T2-10.values", "");

//		 # 11. Destination Address Field 3
		properties.put("X9100-68T2-11.values", "");

//		 # 12. Zip Code
		properties.put("X9100-68T2-12.values", "");

//		 # 13. User Field
		properties.put("X9100-68T2-13.values", "");


//		 ####################################
//		 # Bundle Control Record (Type 70)  #
//		 ####################################

//		 # 1. Record Type
		properties.put("X9100-70-01.values", "70");

//		 # 2. Bundle Debit Item Count
		properties.put("X9100-70-02.values", "");

//		 # 3. Bundle Debit Total Amount
		properties.put("X9100-70-03.values", "");

//		 # 4. MICR Valid Debit Total Amount
		properties.put("X9100-70-04.values", "");

//		 # 5. Bundle Image View Record Count
		properties.put("X9100-70-05.values", "");

//		 # 6. Bundle Credit Item Count
		properties.put("X9100-70-06.values", "");

//		 # 7. Bundle Credit Total Amount
		properties.put("X9100-70-07.values", "");

//		 # 8. User Field
		properties.put("X9100-70-08.values", "");

//		 # 9. Reserved
		properties.put("X9100-70-09.values", "");

//		 #################################
//		 # Box Summary Record (Type 75)  #
//		 #################################
//		 # 1. Record Type 
		properties.put("X9100-75-01.values", "75");

//		 # 2. Destination Routing Number
		properties.put("X9100-75-02.values", "");

//		 # 3. Box Sequence Number
		properties.put("X9100-75-03.values", "");

//		 # 4. Box Bundle Count
		properties.put("X9100-75-04.values", "");

//		 # 5. Box Number ID
		properties.put("X9100-75-05.values", "");

//		 # 6. Box Debit Total Amount
		properties.put("X9100-75-06.values", "");

//		 # 7. Box Credit Total Amount
		properties.put("X9100-75-07.values", "");

//		 # 8. Reserved
		properties.put("X9100-75-08.values", "");


//		 ############################################
//		 # Routing Number Summary Record (Type 85)  #
//		 ############################################
//		 # 1. Record Type 
		properties.put("X9100-85-01.values", "85");

//		 # 2. Routing Number Within Cash Letter
		properties.put("X9100-85-02.values", "");

//		 # 3. Routing Number Debit Total Amount
		properties.put("X9100-85-03.values", "");

//		 # 4. Routing Number Item Count
		properties.put("X9100-85-04.values", "");

//		 # 5. Routing Number Credit Total Amount
		properties.put("X9100-85-05.values", "");

//		 # 6. User Field
		properties.put("X9100-85-06.values", "");

//		 # 7. Reserved
		properties.put("X9100-85-07.values", "");

//		 #########################################
//		 # Cash Letter Control Record (Type 90)  #
//		 #########################################

//		 # 1. Record Type
		properties.put("X9100-90-01.values", "90");

//		 # 2. Bundle Count
		properties.put("X9100-90-02.values", "");

//		 # 3. Cash Letter Debit Item Count
		properties.put("X9100-90-03.values", "");

//		 # 4. Cash Letter Debit Total Amount
		properties.put("X9100-90-04.values", "");

//		 # 5. Cash Letter Image View Record Count
		properties.put("X9100-90-05.values", "");

//		 # 6. ECE Institution Name
		properties.put("X9100-90-06.values", "");

//		 # 7. Settlement Date
		properties.put("X9100-90-07.values", "");

//		 # 8. Cash Letter Credit Item Count
		properties.put("X9100-90-08.values", "");

//		 # 9. Cash Letter Credit Total Amount
		properties.put("X9100-90-09.values", "");


//		 ##################################
//		 # File Control Record (Type 99)  #
//		 ##################################
//		 # 1. Record Type 
		properties.put("X9100-99-01.values", "99");

//		 # 2. Cash Letter Count
		properties.put("X9100-99-02.values", "");

//		 # 3. Total Record Count
		properties.put("X9100-99-03.values", "");

//		 # 4. Total Item Count
		properties.put("X9100-99-04.values", "");

//		 # 5. File Total Amount
		properties.put("X9100-99-05.values", "");

//		 # 6. Immediate Origin Contact Name
		properties.put("X9100-99-06.values", "");

//		 # 7. Immediate Origin Contact Phone Number
		properties.put("X9100-99-07.values", "");

//		 # 8. File Credit Total Amount
		properties.put("X9100-99-08.values", "");	
		
		return properties;
	}
}
