package com.digertech.sdk.samples.prop;

import java.util.Properties;

public class SampleX937ValidationOptions {
	public Properties getValidationOptions () {
		Properties properties = new Properties();
		
//		 ################################
//		 #                              #
//		 #   X9.37 valid field values   #
//		 #                              #
//		 ################################


//		 #################################
//		 # File Header Record (Type 01)  #
//		 #################################

//		 # 1. Record Type 
		properties.put("X937-01-01.values", "01");

//		 # 2. Standard Level 
		properties.put("X937-01-02.values", "01,02,03");

//		 # 3. Test File Indicator 
		properties.put("X937-01-03.values", "P,T");


//		 # 4. Immediate Destination Routing Number 
		properties.put("X937-01-04.values", "");

//		 # 5. Immediate Origin Routing Number
		properties.put("X937-01-05.values", "");

//		 # 6. File Creation Date
		properties.put("X937-01-06.values", "");

//		 # 7. File Creation Time
		properties.put("X937-01-07.values", "");

//		 # 8. Resend Indicator
		properties.put("X937-01-08.values", "Y,N");

//		 # 9. Immediate Destination Name
		properties.put("X937-01-09.values", "");

//		 # 10. Immediate Origin Name
		properties.put("X937-01-10.values", "");

//		 # 11. File ID Modifier
		properties.put("X937-01-11.values", "");

//		 # 12. Country Code
		properties.put("X937-01-12.values", "");

//		 # 13. User Field
		properties.put("X937-01-13.values", "");

//		 # 14. Reserved
		properties.put("X937-01-14.values", "");


//		 ########################################
//		 # Cash Letter Header Record (Type 10)  #
//		 ########################################

//		 # 1. Record Type 
		properties.put("X937-10-01.values", "10");

//		 # 2. Collection Type Indicator
		properties.put("X937-10-02.values", "00,01,02,03,04,05,06,10,20,99");

//		 # 3. Destination Routing Number
		properties.put("X937-10-03.values", "");

//		 # 4. ECE Institution Routing Number 
		properties.put("X937-10-04.values", "");

//		 # 5. Cash Letter Business Date
		properties.put("X937-10-05.values", "");

//		 # 6. Cash Letter Creation Date
		properties.put("X937-10-06.values", "");

//		 # 7. Cash Letter Creation Time
		properties.put("X937-10-07.values", "");

//		 # 8. Cash Letter Record Type Indicator
		properties.put("X937-10-08.values", "N,E,I,F");

//		 # 9. Cash Letter Documentation Type Indicator
		properties.put("X937-10-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M,Z");

//		 # 10. Cash Letter ID
		properties.put("X937-10-10.values", "");

//		 # 11. Originator Contact Name
		properties.put("X937-10-11.values", "");

//		 # 12. Originator Contact Phone Number
		properties.put("X937-10-12.values", "");

//		 # 13. Fed Work Type
		properties.put("X937-10-13.values", "1,2,3,4,5,6,7,8,9,0,A,B,C,D,E");

//		 # 14. User Field
		properties.put("X937-10-14.values", "");

//		 # 15. Reserved
		properties.put("X937-10-15.values", "");


//		 ##################################
//		 # Bundle Header Record (Type 20) #
//		 ##################################

//		 # 1. Record Type 
		properties.put("X937-20-01.values", "20");

//		 # 2. Collection Type Indicator 
		properties.put("X937-20-02.values", "00,01,02,03,04,05,06");

//		 # 3. Destination Routing Number 
		properties.put("X937-20-03.values", "");

//		 # 4. ECE Institution Routing Number
		properties.put("X937-20-04.values", "");

//		 # 5. Bundle Business Date
		properties.put("X937-20-05.values", "");

//		 # 6. Bundle Creation Date
		properties.put("X937-20-06.values", "");

//		 # 7. Bundle ID
		properties.put("X937-20-07.values", "");

//		 # 8. Bundle Sequence Number
		properties.put("X937-20-08.values", "");

//		 # 9. Cycle Number
		properties.put("X937-20-09.values", "");

//		 # 10. Return Location Routing Number
		properties.put("X937-20-10.values", "");

//		 # 11. User Field
		properties.put("X937-20-11.values", "");

//		 # 12. Reserved
		properties.put("X937-20-12.values", "");


//		 ##################################
//		 # Check Detail Record (Type 25)  #
//		 ##################################

//		 # 1. Record Type 
		properties.put("X937-25-01.values", "25");

//		 # 2. Auxiliary On-Us
		properties.put("X937-25-02.values", "");

//		 # 3. External Processing Code
		properties.put("X937-25-03.values", "");

//		 # 4. Payor Bank Routing Number 
		properties.put("X937-25-04.values", "");

//		 # 5. Payor Bank Routing Number Check Digit
		properties.put("X937-25-05.values", "");

//		 # 6. On-Us
		properties.put("X937-25-06.values", "");

//		 # 7. Item Amount
		properties.put("X937-25-07.values", "");

//		 # 8. ECE Institution Item Sequence Number
		properties.put("X937-25-08.values", "");

//		 # 9. Documentation Type Indicator
		properties.put("X937-25-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 10. Return Acceptance Indicator
		properties.put("X937-25-10.values", "0,1,2,3,4,5,6,7,8,9,A,B,C,D,E,F");

//		 # 11. MICR Valid Indicator
		properties.put("X937-25-11.values", "1,2,3,4");

//		 # 12. BOFD Indicator
		properties.put("X937-25-12.values", "Y,N,U");

//		 # 13. Check Detail Record Addendum Count
		properties.put("X937-25-13.values", "");

//		 # 14. Correction Indicator
		properties.put("X937-25-14.values", "0,1,2,3,4");

//		 # 15. Archive Type Indicator
		properties.put("X937-25-15.values", "A,B,C,D,E,F,G,H,I");

//		 #############################################
//		 # Check Detail Addendum A Record (Type 26)  #
//		 #############################################

//		 # 1. Record Type 
		properties.put("X937-26-01.values", "26");

//		 # 2. Check Detail Addendum A Record Number
		properties.put("X937-26-02.values", "");

//		 # 3. Bank of First Deposit (BOFD) Routing Number
		properties.put("X937-26-03.values", "");

//		 # 4. BOFD Business (Endorsement) Date 
		properties.put("X937-26-04.values", "");

//		 # 5. BOFD Item Sequence Number
		properties.put("X937-26-05.values", "");

//		 # 6. Deposit Account Number at BOFD
		properties.put("X937-26-06.values", "");

//		 # 7. BOFD Deposit Branch
		properties.put("X937-26-07.values", "");

//		 # 8. Payee Name
		properties.put("X937-26-08.values", "");

//		 # 9. Truncation Indicator
		properties.put("X937-26-09.values", "Y,N");

//		 # 10. BOFD Conversion Indicator
		properties.put("X937-26-10.values", "0,1,2,3,4,5,6,7,8");

//		 # 11. BOFD Correction Indicator
		properties.put("X937-26-11.values", "0,1,2,3,4");

//		 # 12. User Field
		properties.put("X937-26-12.values", "");

//		 # 13. Reserved
		properties.put("X937-26-13.values", "");


//		 #############################################
//		 # Check Detail Addendum B Record (Type 27)  #
//		 #############################################

//		 # 1. Record Type 
		properties.put("X937-27-01.values", "27");

//		 # 2. Variable Size Record Indicator
		properties.put("X937-27-02.values", "0,1");

//		 # 3. Microfilm Archive Sequence Number
		properties.put("X937-27-03.values", "");

//		 # 4. Length of Image Archive Sequence Number 
		properties.put("X937-27-04.values", "");

//		 # 5. Image Archive Sequence Number
		properties.put("X937-27-05.values", "");


//		 # 6. Description
		properties.put("X937-27-06.values", "");

//		 # 7. User Field
		properties.put("X937-27-07.values", "");

//		 # 8. Reserved
		properties.put("X937-27-08.values", "");


//		 #############################################
//		 # Check Detail Addendum C Record (Type 28)  #
//		 #############################################

//		 # 1. Record Type 
		properties.put("X937-28-01.values", "28");

//		 # 2. Check Detail Addendum C Record Number
		properties.put("X937-28-02.values", "");

//		 # 3. Endorsing Bank Routing Number
		properties.put("X937-28-03.values", "");

//		 # 4. Endorsing Bank Endorsement Date
		properties.put("X937-28-04.values", "");

//		 # 5. Endorsing Bank Item Sequence Number
		properties.put("X937-28-05.values", "");

//		 # 6. Truncation Indicator
		properties.put("X937-28-06.values", "Y,N");

//		 # 7. Endorsing Bank Conversion Indicator
		properties.put("X937-28-07.values", "0,1,2,3,4,5,6,7,8");

//		 # 8. Endorsing Bank Correction Indicator
		properties.put("X937-28-08.values", "0,1,2,3");

//		 # 9. Return Reason
		properties.put("X937-28-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W");

//		 # 10. User Field
		properties.put("X937-28-10.values", "");

//		 # 11. Reserved
		properties.put("X937-28-11.values", "");


//		 ############################
//		 # Return Record (Type 31)  #
//		 ############################

//		 # 1. Record Type 
		properties.put("X937-31-01.values", "31");

//		 # 2. Payor Bank Routing Number
		properties.put("X937-31-02.values", "");

//		 # 3. Payor Bank Routing Number Check Digit
		properties.put("X937-31-03.values", "");

//		 # 4. On-Us Return Record 
		properties.put("X937-31-04.values", "");

//		 # 5. Item Amount
		properties.put("X937-31-05.values", "");

//		 # 6. Return Reason
		properties.put("X937-31-06.values", "A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W");

//		 # 7. Return Record Addendum Count
		properties.put("X937-31-07.values", "");

//		 # 8. Return Documentation Type Indicator
		properties.put("X937-31-08.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 9. Forward Bundle Date
		properties.put("X937-31-09.values", "");

//		 # 10. ECE Institution Item Sequence Number
		properties.put("X937-31-10.values", "");

//		 # 11. External Processing Code
		properties.put("X937-31-11.values", "");

//		 # 12. Return Notification Indicator
		properties.put("X937-31-12.values", "1,2");

//		 # 13. Return Archive Type Indicator
		properties.put("X937-31-13.values", "A,B,C,D,E,F,G,H,I");

//		 # 14. Reserved
		properties.put("X937-31-14.values", "");


//		 #######################################
//		 # Return Addendum A Record (Type 32)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X937-32-01.values", "32");

//		 # 2. Return Addendum A Record Number
		properties.put("X937-32-02.values", "");

//		 # 3. Bank of First Deposit (BOFD) Routing Number
		properties.put("X937-32-03.values", "");

//		 # 4. BOFD Business (Endorsement) Date 
		properties.put("X937-32-04.values", "");

//		 # 5. BOFD Item Sequence Number
		properties.put("X937-32-05.values", "");

//		 # 6. Deposit Account Number at BOFD
		properties.put("X937-32-06.values", "");

//		 # 7. BOFD Deposit Branch
		properties.put("X937-32-07.values", "");

//		 # 8. Payee Name
		properties.put("X937-32-08.values", "");

//		 # 9. Truncation Indicator
		properties.put("X937-32-09.values", "Y,N");

//		 # 10. BOFD Conversion Indicator
		properties.put("X937-32-10.values", "0,1,2,3,4,5,6,7,8");

//		 # 11. BOFD Correction Indicator
		properties.put("X937-32-11.values", "0,1,2,3,4");

//		 # 12. User Field
		properties.put("X937-32-12.values", "");

//		 # 13. Reserved
		properties.put("X937-32-13.values", "");


//		 #######################################
//		 # Return Addendum B Record (Type 33)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X937-33-01.values", "33");

//		 # 2. Payor Bank Name
		properties.put("X937-33-02.values", "");

//		 # 3. Auxiliary On-Us
		properties.put("X937-33-03.values", "");

//		 # 4. Payor Bank Item Sequence Number
		properties.put("X937-33-04.values", "");

//		 # 5. Payor Bank Business Date
		properties.put("X937-33-05.values", "");

//		 # 6. Payor Account Name
		properties.put("X937-33-06.values", "");

//		 #######################################
//		 # Return Addendum C Record (Type 34)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X937-34-01.values", "34");

//		 # 2. Variable Size Record Indicator
		properties.put("X937-34-02.values", "0,1");

//		 # 3. Microfilm Archive Sequence Number
		properties.put("X937-34-03.values", "");

//		 # 4. Length of Image Archive Sequence Number/Image Archive Locator 
		properties.put("X937-34-04.values", "VAR");

//		 # 5. Image Archive Sequence Number
		properties.put("X937-34-05.values", "");

//		 # 6. Description
		properties.put("X937-34-06.values", "");

//		 # 7. User Field
		properties.put("X937-34-07.values", "");

//		 # 8. Reserved
		properties.put("X937-34-08.values", "");


//		 #######################################
//		 # Return Addendum D Record (Type 35)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X937-35-01.values", "35");

//		 # 2. Return Addendum D Record Number
		properties.put("X937-35-02.values", "");

//		 # 3. Endorsing Bank Routing Number
		properties.put("X937-35-03.values", "");

//		 # 4. Endorsing Bank Endorsement Date
		properties.put("X937-35-04.values", "");

//		 # 5. Endorsing Bank Item Sequence Number
		properties.put("X937-35-05.values", "");

//		 # 6. Truncation Indicator
		properties.put("X937-35-06.values", "Y,N");

//		 # 7. Endorsing Bank Conversion Indicator
		properties.put("X937-35-07.values", "0,1,2,3,4,5,6,7,8");

//		 # 8. Endorsing Bank Correction Indicator
		properties.put("X937-35-08.values", "0,1,2,3");

//		 # 9. Return Reason
		properties.put("X937-35-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W");

//		 # 10. User Field
		properties.put("X937-35-10.values", "");

//		 # 11. Reserved
		properties.put("X937-35-11.values", "");


//		 ###########################################
//		 # Account Totals Detail Record (Type 40)  #
//		 ###########################################

//		 # 1. Record Type 
		properties.put("X937-40-01.values", "40");

//		 # 2. Destination Routing Number
		properties.put("X937-40-02.values", "");

//		 # 3. Key Account / or Low Account in Key Account Range
		properties.put("X937-40-03.values", "");

//		 # 4. Key Account / or High Account in Key Account Range
		properties.put("X937-40-04.values", "");

//		 # 5. Total Item Count
		properties.put("X937-40-05.values", "");

//		 # 6. Total Item Amount
		properties.put("X937-40-06.values", "");

//		 # 7. User Field
		properties.put("X937-40-07.values", "");

//		 # 8. Reserved
		properties.put("X937-40-08.values", "");


//		 ###########################################
//		 # Non-Hit Totals Detail Record (Type 41)  #
//		 ###########################################

//		 # 1. Record Type 
		properties.put("X937-41-01.values", "41");

//		 # 2. Destination Routing Number
		properties.put("X937-41-02.values", "");

//		 # 3. Non-Hit Indicator
		properties.put("X937-41-03.values", "O,I");

//		 # 4. Total Item Count
		properties.put("X937-41-04.values", "");

//		 # 5. Total Item Count
		properties.put("X937-41-05.values", "");

//		 # 6. User Field
		properties.put("X937-41-06.values", "");

//		 # 7. Reserved
		properties.put("X937-41-07.values", "");


//		 #######################################
//		 # Image View Detail Record (Type 50)  #
//		 #######################################

//		 # 1. Record Type 
		properties.put("X937-50-01.values", "50");

//		 # 2. Image Indicator
		properties.put("X937-50-02.values", "0,1,2,3");

//		 # 3. Image Creator Routing Number
		properties.put("X937-50-03.values", "");

//		 # 4. Image Creator Date
		properties.put("X937-50-04.values", "");

//		 # 5. Image View Format Indicator
		properties.put("X937-50-05.values", "00, 01, 20, 21, 22, 23, 24");

//		 # 6. Image View Compression Algorithm Identifier
		properties.put("X937-50-06.values", "00, 01, 02, 21, 22, 23");

//		 # 7. Image View Data Size
		properties.put("X937-50-07.values", "");

//		 # 8. View Side Indicator
		properties.put("X937-50-08.values", "0,1");

//		 # 9. View Descriptor
		properties.put("X937-50-09.values", "00,01,02,03,04,05,06,07,08,09,10,11,12,13");

//		 # 10. Digital Signature Indicator
		properties.put("X937-50-10.values", "0,1");

//		 # 11. Digital Signature Method
		properties.put("X937-50-11.values", "00,01,02,03,04");

//		 # 12. Security Key Size
		properties.put("X937-50-12.values", "");

//		 # 13. Start of Protected Data
		properties.put("X937-50-13.values", "");

//		 # 14. Length of Protected Data
		properties.put("X937-50-14.values", "");

//		 # 15. Image Recreate Indicator
		properties.put("X937-50-15.values", "0,1");

//		 # 16. User Field
		properties.put("X937-50-16.values", "");

//		 # 17. Reserved
		properties.put("X937-50-17.values", "");


//		 #####################################
//		 # Image View Data Record (Type 52)  #
//		 #####################################

//		 # 1. Record Type 
		properties.put("X937-52-01.values", "52");

//		 # 2. ECE Institution Routing Number
		properties.put("X937-52-02.values", "");

//		 # 3. Bundle Business Date
		properties.put("X937-52-03.values", "");

//		 # 4. Cycle Number
		properties.put("X937-52-04.values", "");

//		 # 5. ECE Institution Item Sequence Number
		properties.put("X937-52-05.values", "");

//		 # 6. Security Originator Name
		properties.put("X937-52-06.values", "");

//		 # 7. Security Authenticator Name
		properties.put("X937-52-07.values", "");

//		 # 8. Security Key Name
		properties.put("X937-52-08.values", "");

//		 # 9. Clipping Origin
		properties.put("X937-52-09.values", "0,1,2,3,4");

//		 # 10. Clipping Coordinate h1
		properties.put("X937-52-10.values", "");

//		 # 11. Clipping Coordinate h2
		properties.put("X937-52-11.values", "");

//		 # 12. Clipping Coordinate v1
		properties.put("X937-52-12.values", "");

//		 # 13. Clipping Coordinate v2
		properties.put("X937-52-13.values", "");

//		 # 14. Length of Image Reference Key
		properties.put("X937-52-14.values", "VAR");

//		 # 15. Image Reference Key
		properties.put("X937-52-15.values", "");

//		 # 16. Length of Digital Signature
		properties.put("X937-52-16.values", "VAR");

//		 # 17. Digital Signature
		properties.put("X937-52-17.values", "");

//		 # 18. Length of Image Data
		properties.put("X937-52-18.values", "VAR");

//		 # 19. Image Data
		properties.put("X937-52-19.values", "");


//		 #########################################
//		 # Image View Analysis Record (Type 54)  #
//		 #########################################

//		 # 1. Record Type 
		properties.put("X937-54-01.values", "54");

//		 # 2. Global Image Quality
		properties.put("X937-54-02.values", "0,1,2");

//		 # 3. Global Image Usability
		properties.put("X937-54-03.values", "0,1,2");

//		 # 4. Imaging Bank Specific Test
		properties.put("X937-54-04.values", "0,1,2");

//		 # 5. Partial Image
		properties.put("X937-54-05.values", "0,1,2");

//		 # 6. Excessive Image Skew
		properties.put("X937-54-06.values", "0,1,2");

//		 # 7. Piggyback Image
		properties.put("X937-54-07.values", "0,1,2");

//		 # 8. Too Light Or Too Dark
		properties.put("X937-54-08.values", "0,1,2");

//		 # 9. Streaks And Or Bands
		properties.put("X937-54-09.values", "0,1,2");

//		 # 10. Below Minimum Image Size
		properties.put("X937-54-10.values", "0,1,2");

//		 # 11. Exceeds Maximum Image Size
		properties.put("X937-54-11.values", "");

//		 # 12-24. Reserved
		properties.put("X937-54-12.values", "");

//		 # 25. Image-Enabled POD
		properties.put("X937-54-13.values", "0,1,2");

//		 # 26. Source Document Bad
		properties.put("X937-54-14.values", "0,1,2");

//		 # 27. Date Usability
		properties.put("X937-54-15.values", "0,1,2");

//		 # 28. Payee Usability
		properties.put("X937-54-16.values", "0,1,2");

//		 # 29. Convenience Amount Usability
		properties.put("X937-54-17.values", "0,1,2");

//		 # 30. Amount in Words (Legal Amount) Usability
		properties.put("X937-54-18.values", "0,1,2");

//		 # 31. Signature Usability
		properties.put("X937-54-19.values", "0,1,2");

//		 # 32. Payor Name And Address Usability
		properties.put("X937-54-20.values", "");

//		 # 33. MICR Line Usability
		properties.put("X937-54-21.values", "0,1,2");

//		 # 34. Memo Line Usability
		properties.put("X937-54-22.values", "0,1,2");

//		 # 35. Payor Bank Name And Address Usability
		properties.put("X937-54-23.values", "0,1,2");

//		 # 36. Payee Endorsement Usability
		properties.put("X937-54-24.values", "0,1,2");

//		 # 37. Bank Of First Deposit Endorsement Usability
		properties.put("X937-54-25.values", "0,1,2");

//		 # 38. Transit Endorsement Usability
		properties.put("X937-54-26.values", "0,1,2");

//		 # 39-44. Reserved
		properties.put("X937-54-27.values", "");

//		 # 45. User Field
		properties.put("X937-54-28.values", "");

//		 # 46. Reserved
		properties.put("X937-54-29.values", "");

//		 ####################################################
//		 # Credit/Reconciliation Record (Type 61) version 1 #
//		 ####################################################

//		 # 1. Record Type 
		properties.put("X937-61-01.values", "61");

//		 # 2. Record Usage Indicator
		properties.put("X937-61-02.values", "1,2,3,4,5,6,7,8,9");

//		 # 3. Auxiliary On-Us
		properties.put("X937-61-03.values", "");

//		 # 4. External Processing Code
		properties.put("X937-61-04.values", "");

//		 # 5. Posting Bank Routing Number
		properties.put("X937-61-05.values", "");

//		 # 6. Posting Account Number (On-Us)
		properties.put("X937-61-06.values", "");

//		 # 7. Item Amount
		properties.put("X937-61-07.values", "");

//		 # 8. Item Sequence Number
		properties.put("X937-61-08.values", "");

//		 # 9. Documentation Type Indicator
		properties.put("X937-61-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 10. Type of Account Code
		properties.put("X937-61-10.values", "1,2,3,4,5,A-J");

//		 # 11. Source of Work Code
		properties.put("X937-61-11.values", "01,02,03,04,05,06,07,08,09,10,11,21-50");

//		 # 12. Reserved
		properties.put("X937-61-12.values", "");

//		 #####################################################
//		 # Credit/Reconciliation Record (Type 61) Version 2  #
//		 #####################################################

//		 # 1. Record Type 
		properties.put("X937-61v2-01.values", "61");

//		 # 2. Auxiliary On-Us
		properties.put("X937-61v2-02.values", "");

//		 # 3. External Processing Code
		properties.put("X937-61v2-03.values", "");

//		 # 4. Posting Bank Routing Number
		properties.put("X937-61v2-04.values", "");

//		 # 5. Posting Account Number (On-Us)
		properties.put("X937-61v2-05.values", "");

//		 # 6. Item Amount
		properties.put("X937-61v2-06.values", "");

//		 # 7. Item Sequence Number
		properties.put("X937-61v2-07.values", "");

//		 # 8. Documentation Type Indicator
		properties.put("X937-61v2-08.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 9. Type of Account Code
		properties.put("X937-61v2-09.values", "1,2,3,4,5,A-J");

//		 # 10. Source of Work Code
		properties.put("X937-61v2-10.values", "01,02,03,04,05,06,07,08,09,10,11,21-50");

//		 # 11. Work Type
		properties.put("X937-61v2-11.values", "");

//		 # 12. Debit Credit Indicator
		properties.put("X937-61v2-12.values", "");

//		 # 13. Reserved
		properties.put("X937-61v2-13.values", "");

//		 ####################################################
//		 # Credit/Reconciliation Record (Type 61) version 3 #
//		 ####################################################

//		 # 1. Record Type 
		properties.put("X937-61v3-01.values", "61");

//		 # 2. Record Usage Indicator
		properties.put("X937-61v3-02.values", "1,2,3,4,5,6,7,8,9");

//		 # 3. Auxiliary On-Us
		properties.put("X937-61v3-03.values", "");

//		 # 4. External Processing Code
		properties.put("X937-61v3-04.values", "");

//		 # 5. Posting Bank Routing Number
		properties.put("X937-61v3-05.values", "");

//		 # 6. Posting Account Number (On-Us)
		properties.put("X937-61v3-06.values", "");

//		 # 7. Item Amount
		properties.put("X937-61v3-07.values", "");

//		 # 8. Institution Item Sequence Number
		properties.put("X937-61v3-08.values", "");

//		 # 9. Documentation Type Indicator
		properties.put("X937-61v3-09.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 10. Type of Account Code
		properties.put("X937-61v3-10.values", "1,2,3,4,5,A-J");

//		 # 11. Source of Work Code
		properties.put("X937-61v3-11.values", "1,2,3,4,5,6,7,8,9");

//		 # 12. Reserved
		properties.put("X937-61v3-12.values", "");

//		 #####################################################
//		 # Credit/Reconciliation Record (Type 61) Version 4  #
//		 #####################################################

//		 # 1. Record Type 
		properties.put("X937-61v4-01.values", "61");

//		 # 2. Auxiliary On-Us
		properties.put("X937-61v4-02.values", "");

//		 # 3. External Processing Code
		properties.put("X937-61v4-03.values", "");

//		 # 4. Posting Bank Routing Number
		properties.put("X937-61v4-04.values", "");

//		 # 5. Credit (On-Us)
		properties.put("X937-61v4-05.values", "");

//		 # 6. Item Amount
		properties.put("X937-61v4-06.values", "");

//		 # 7. Item Sequence Number
		properties.put("X937-61v4-07.values", "");

//		 # 8. Documentation Type Indicator
		properties.put("X937-61v4-08.values", "A,B,C,D,E,F,G,H,I,J,K,L,M");

//		 # 9. Type of Account Code
		properties.put("X937-61v4-09.values", "1,2,3,4,5,A-J");

//		 # 10. Source of Work Code
		properties.put("X937-61v4-10.values", "");

//		 # 11. Work Type
		properties.put("X937-61v4-11.values", "");

//		 # 12. Debit Credit Indicator
		properties.put("X937-61v4-12.values", "");

//		 # 13. Reserved
		properties.put("X937-61v4-13.values", "");

//		 #####################################################
//		 # Credit/Reconciliation Record (Type 61) Well Fargo #
//		 #####################################################

//		 # 1. Record Type 
		properties.put("X937-61v5-01.values", "61");

//		 # 2. Credit Amount
		properties.put("X937-61v5-02.values", "");

//		 # 3. Credit Account Number
		properties.put("X937-61v5-03.values", "");

//		 # 4. Processing Control
		properties.put("X937-61v5-04.values", "");

//		 # 5. Routing Number
		properties.put("X937-61v5-05.values", "");

//		 # 6. Serial Number
		properties.put("X937-61v5-03.values", "");

//		 # 7. Item Sequence Number
		properties.put("X937-61v5-07.values", "");

//		 # 8. External Processing Code
		properties.put("X937-61v5-08.values", "");

//		 # 9. Type of Account Code
		properties.put("X937-61v5-9.values", "1,2,3,4,5,A-J");

//		 # 11. Source of Work Code
		properties.put("X937-61v5-10.values", "3");

//		 # 12. Reserved
		properties.put("X937-61v5-11.values", "");

//		 ####################################
//		 # Bundle Control Record (Type 70)  #
//		 ####################################

//		 # 1. Record Type 
		properties.put("X937-70-01.values", "70");

//		 # 2. Items Within Bundle Count
		properties.put("X937-70-02.values", "");

//		 # 3. Bundle Total Am ount
		properties.put("X937-70-03.values", "");

//		 # 4. MICR Valid Total Amount
		properties.put("X937-70-04.values", "");

//		 # 5. Images within Bundle Count
		properties.put("X937-70-05.values", "");

//		 # 6. User Field
		properties.put("X937-70-06.values", "");

//		 # 7. Reserved
		properties.put("X937-70-07.values", "");


//		 #################################
//		 # Box Summary Record (Type 75)  #
//		 #################################

//		 # 1. Record Type 
		properties.put("X937-75-01.values", "75");

//		 # 2. Destination Routing Number
		properties.put("X937-75-02.values", "");

//		 # 3. Box Sequence Number
		properties.put("X937-75-03.values", "");

//		 # 4. Box Bundle Count
		properties.put("X937-75-04.values", "");

//		 # 5. Box Number ID
		properties.put("X937-75-05.values", "");

//		 # 6. Box Total Amount
		properties.put("X937-75-06.values", "");

//		 # 7. Reserved
		properties.put("X937-75-07.values", "");

//		 ############################################
//		 # Routing Number Summary Record (Type 85)  #
//		 ############################################

//		 # 1. Record Type 
		properties.put("X937-85-01.values", "85");

//		 # 2. Routing Number Within Cash Letter
		properties.put("X937-85-02.values", "");

//		 # 3. Routing Number Total Amount
		properties.put("X937-85-03.values", "");

//		 # 4. Routing Number Item Count
		properties.put("X937-85-04.values", "");

//		 # 5. User Field
		properties.put("X937-85-05.values", "");

//		 # 6. Reserved
		properties.put("X937-85-06.values", "");

//		 #########################################
//		 # Cash Letter Control Record (Type 90)  #
//		 #########################################

//		 # 1. Record Type 
		properties.put("X937-90-01.values", "90");

//		 # 2. Bundle Count
		properties.put("X937-90-02.values", "");

//		 # 3. Items Within Cash letter Count
		properties.put("X937-90-03.values", "");

//		 # 4. Cash Letter Total Amount
		properties.put("X937-90-04.values", "");

//		 # 5. Images Within Cash Letter Count
		properties.put("X937-90-05.values", "");

//		 # 6. ECE Institution Name
		properties.put("X937-90-06.values", "");

//		 # 7. Settlement Date
		properties.put("X937-90-07.values", "");

//		 # 8. Reserved
		properties.put("X937-90-08.values", "");


//		 ##################################
//		 # File Control Record (Type 99)  #
//		 ##################################

//		 # 1. Record Type 
		properties.put("X937-99-01.values", "99");

//		 # 2. Cash Letter Count
		properties.put("X937-99-02.values", "");

//		 # 3. Total Record Count
		properties.put("X937-99-03.values", "");

//		 # 4. Total Item Count
		properties.put("X937-99-04.values", "");

//		 # 5. File Total Amount
		properties.put("X937-99-05.values", "");

//		 # 6. Immediate Origin Contact Name
		properties.put("X937-99-06.values", "");

//		 # 7. Immediate Origin Contact Phone Number
		properties.put("X937-99-07.values", "");

//		 # 8. Reserved
		properties.put("X937-99-08.values", "");
		
		return properties;
	}

}
